using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("隐患照片表")]
    public class T_SK_SECURITY_INSPECTION_RECORD_DETAIL_FILE : MesEntityBase
    {
        /// <summary>
        /// 检查记录明细表
        /// </summary>
        [Description("检查记录明细表")]
        [DataFieldForeignKey("Nav_CheckRecordDetail", "Nav_CheckRecordDetailFiles")]
        public Guid SECURITY_INSPECTION_RECORD_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：检查记录明细表
        /// </summary>
        [Description("导航：检查记录明细表")]
        public virtual T_SK_SECURITY_INSPECTION_RECORD_DETAIL Nav_CheckRecordDetail { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
